### Class

# Gcr SimpleCertificate

#### Description [src]

    class Gcr.SimpleCertificate : GObject.Object
      implements Gcr.Certificate, Gcr.Comparable {
      /* No available fields */
    }

An implementation of `GcrCertificate` which loads a certificate from DER data already located in memory.

To create an object, use the `gcr_simple_certificate_new()` or `gcr_simple_certificate_new_static()` functions.

#### Ancestors

- GObject

#### Implements

- GcrCertificate
- GcrComparable

#### Constructors

###### gcr_simple_certificate_new

Create a new `GcrSimpleCertificate` for the raw DER data. The `data` memory is copied so you can dispose of it after this function returns.

###### gcr_simple_certificate_new_static

Create a new `GcrSimpleCertificate` for the raw DER data. The `data` memory is not copied and must persist until the `GcrSimpleCertificate` object is destroyed.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GcrCertificate (23)

###### gcr_certificate_get_basic_constraints

Get the basic constraints for the certificate if present. If `FALSE` is returned then no basic constraints are present and the `is_ca` and `path_len` arguments are not changed.

###### gcr_certificate_get_der_data

Gets the raw DER data for an X.509 certificate.

###### gcr_certificate_get_expiry_date

Get the expiry date of this certificate.

###### gcr_certificate_get_fingerprint

Calculate the fingerprint for this certificate.

###### gcr_certificate_get_fingerprint_hex

Calculate the fingerprint for this certificate, and return it as a hex string.

###### gcr_certificate_get_icon

Get the icon for a certificate.

###### gcr_certificate_get_issued_date

Get the issued date of this certificate.

###### gcr_certificate_get_issuer_cn

Get the common name of the issuer of this certificate.

###### gcr_certificate_get_issuer_dn

Get the full issuer DN of the certificate as a (mostly) readable string.

###### gcr_certificate_get_issuer_name

Get a name to represent the issuer of this certificate.

###### gcr_certificate_get_issuer_part

Get a part of the DN of the issuer of this certificate.

###### gcr_certificate_get_issuer_raw

Get the raw DER data for the issuer DN of the certificate.

###### gcr_certificate_get_key_size

Get the key size in bits of the public key represented by this certificate.

###### gcr_certificate_get_markup_text

Calculate a GMarkup string for displaying this certificate.

###### gcr_certificate_get_serial_number

Get the raw binary serial number of the certificate.

###### gcr_certificate_get_serial_number_hex

Get the serial number of the certificate as a hex string.

###### gcr_certificate_get_subject_cn

Get the common name of the subject of this certificate.

###### gcr_certificate_get_subject_dn

Get the full subject DN of the certificate as a (mostly) readable string.

###### gcr_certificate_get_subject_name

Get a name to represent the subject of this certificate.

###### gcr_certificate_get_subject_part

Get a part of the DN of the subject of this certificate.

###### gcr_certificate_get_subject_raw

Get the raw DER data for the subject DN of the certificate.

###### gcr_certificate_is_issuer

Check if `issuer` could be the issuer of this certificate. This is done by comparing the relevant subject and issuer fields. No signature check is done. Proper verification of certificates must be done via a crypto library.

###### gcr_certificate_mixin_emit_notify

Implementers of the `GcrCertificate` mixin should call this function to notify when the certificate has changed to emit notifications on the various properties.

##### Methods inherited from GcrComparable (1)

###### gcr_comparable_compare

Compare whether two objects represent the same thing. The return value can also be used to sort the objects.

#### Properties

##### Properties inherited from GcrCertificate (7)

###### GcrCertificate:description

A readable description for this certificate.

###### GcrCertificate:expiry

The expiry date of the certificate.

###### GcrCertificate:icon

An icon representing the certificate.

###### GcrCertificate:issuer

Common name part of the certificate issuer.

###### GcrCertificate:label

A readable label for this certificate.

###### GcrCertificate:markup

GLib markup to describe the certificate.

###### GcrCertificate:subject

Common name part of the certificate subject.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrSimpleCertificateClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.